<?php
header("Expires: Tue, 03 Jul 2001 06:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");
session_start();
$db = new PDO('mysql:host=localhost;charset=utf8;dbname=corma_psicologo','corma_psicologo','Corma_277',array(PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8"));
$db->exec("set names utf8");
$db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

$etapa2="";
$id_1="";
$id_2="";
$id_examen = $_POST['id_examen'];

if(isset($_SESSION['id_continuar_subida']) && isset($_POST['id_examen']) ){
    $_SESSION['id_instancia']=$_SESSION['id_continuar_subida'];
    $id_examen=$_POST['id_examen']; 
    $etapa2="ok";

    $stmt = $db->prepare("select rut from instancia_evaluada where id_instancia_evaluada=? ");
    $stmt->bindParam(1,$_SESSION['id_instancia']);
    $stmt->execute();
    while($row = $stmt->fetch()){
      $_SESSION['dato2'] = $row['rut'];
    }
}


$archivo = (isset($_FILES['archivo'])) ? $_FILES['archivo'] : null;
if ($archivo) {

   //$ruta_destino_archivo = "uploads/{$archivo['name']}";
    $ruta_destino_archivo = "uploads/".$_SESSION['dato2']."-".$id_examen."-".$_SESSION['id_instancia'].".pdf";
    $archivo_ok = move_uploaded_file($archivo['tmp_name'], $ruta_destino_archivo);

   if($archivo_ok){
    

    //buscamos si parametros ya estan ingresados.
    $stmt = $db->prepare("select distinct id_examen, id_instancia_evaluada from instancia_examen where id_examen=? and id_instancia_evaluada=? ");
    $stmt->bindParam(1,$id_examen);
    $stmt->bindParam(2,$_SESSION['id_instancia']);
    $stmt->execute();
    while($row = $stmt->fetch()){
      $id_1 = $row['id_examen'];
      $id_2 = $row['id_instancia_evaluada'];
    }


    if($id_1==$id_examen && $id_2==$_SESSION['id_instancia']){
      if($etapa2=="ok"){
         echo'<script type="text/javascript">
          alert("Este archivo ya fue subido anteriormente");
          window.location.href="../continuar_carga_informes.html";
          </script>';
        }else{
          echo'<script type="text/javascript">
          alert("Este archivo ya fue subido anteriormente");
          window.location.href="../formulario3.html";
          </script>';
        }
    }else{
      //registramos que tiene una instancia de cocumento subido
      $stmts = $db->prepare("insert into instancia_examen (id_examen,id_instancia_evaluada,fecha) values(?,?,NOW())");
      $stmts->bindParam(1,$id_examen);//rut
      $stmts->bindParam(2,$_SESSION['id_instancia']);//1 apruebo 0 no aprueba 
      
      if($stmts->execute()){
        
          if($etapa2=="ok"){
            echo'<script type="text/javascript">
            alert("Archivo Subido Correctamente");
            window.location.href="../continuar_carga_informes.html";
            </script>';
          }else{
           echo'<script type="text/javascript">
            alert("Archivo Subido Correctamente");
            window.location.href="../formulario3.html";
            </script>';
          }
      }else{
        echo'<script type="text/javascript">
          alert("No se logro subir archivo");
          window.location.href="../formulario3.html";
          </script>';
      }
    }
   }else{
     echo'<script type="text/javascript">
        alert("No se logro subir archivo");
        window.location.href="../formulario3.html";
        </script>';   
   }
}
?>


